Package org.apache.storm.hive.common

## Class HiveUtils

- java.lang.Object
- - org.apache.storm.hive.common.HiveUtils

-     @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class HiveUtils
      extends Object

  Deprecated, for removal: This API element is subject to removal in a future version.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HiveUtils.AuthenticationFailed` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HiveUtils()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.hadoop.security.UserGroupInformation` | `authenticate​(boolean isTokenAuthEnabled, String keytab, String principal)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static boolean` | `isTokenAuthEnabled​(Map<String,​Object> conf)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static void` | `logAllHiveEndPoints​(Map<org.apache.hive.hcatalog.streaming.HiveEndPoint,​HiveWriter> allWriters)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static org.apache.hive.hcatalog.streaming.HiveEndPoint` | `makeEndPoint​(List<String> partitionVals, HiveOptions options)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static HiveWriter` | `makeHiveWriter​(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint, ExecutorService callTimeoutPool, org.apache.hadoop.security.UserGroupInformation ugi, HiveOptions options, boolean tokenAuthEnabled)` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HiveUtils

          public HiveUtils()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### makeEndPoint

          public static org.apache.hive.hcatalog.streaming.HiveEndPoint makeEndPoint​(List<String> partitionVals,
                                                                                     HiveOptions options)
                                                                              throws org.apache.hive.hcatalog.streaming.ConnectionError

      Deprecated, for removal: This API element is subject to removal in a future version.
      Throws:
        `org.apache.hive.hcatalog.streaming.ConnectionError`

    - #### makeHiveWriter

          public static HiveWriter makeHiveWriter​(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint,
                                                  ExecutorService callTimeoutPool,
                                                  org.apache.hadoop.security.UserGroupInformation ugi,
                                                  HiveOptions options,
                                                  boolean tokenAuthEnabled)
                                           throws HiveWriter.ConnectFailure,
                                                  InterruptedException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Throws:
        `HiveWriter.ConnectFailure`
        `InterruptedException`

    - #### authenticate

          public static org.apache.hadoop.security.UserGroupInformation authenticate​(boolean isTokenAuthEnabled,
                                                                                     String keytab,
                                                                                     String principal)
                                                                              throws HiveUtils.AuthenticationFailed

      Deprecated, for removal: This API element is subject to removal in a future version.
      Throws:
        `HiveUtils.AuthenticationFailed`

    - #### logAllHiveEndPoints

          public static void logAllHiveEndPoints​(Map<org.apache.hive.hcatalog.streaming.HiveEndPoint,​HiveWriter> allWriters)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### isTokenAuthEnabled

          public static boolean isTokenAuthEnabled​(Map<String,​Object> conf)

      Deprecated, for removal: This API element is subject to removal in a future version.